> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/it/knowledge-base/how-to-articles/performance-diagnostic.md).

# Diagnostica delle prestazioni

Quando si verifica un problema di prestazioni durante l'utilizzo di Remote Desktop Manager Windows, il team di supporto potrebbe chiederle di inviare alcuni dettagli riguardanti il suo spazio di lavoro, le impostazioni di sistema, ecc. Segua uno dei due metodi indicati di seguito per raccogliere le informazioni e inviarle al team di supporto.

### Inviare una traccia delle prestazioni tramite Remote Desktop Manager

1. Apra ***File*** – ***Informazioni sul mio spazio di lavoro***.
2. Clicchi sul pulsante ***Invia il report al supporto via e-mail*** per inviare le informazioni al team di supporto.
3. Apra ***Aiuto*** – ***Diagnostica di sistema***.
4. Clicchi sul pulsante ***Invia***.
5. Includa informazioni sufficienti per collegare il report al ticket appropriato. Ricordi di inserire il suo nome utente se il processo è stato avviato dal forum.
6. Successivamente, vada su ***Aiuto*** – ***Profilazione delle prestazioni.***
7. In Remote Desktop Manager, tenga premuto il tasto <kbd>Ctrl</kbd> e prema il pulsante di aggiornamento.
8. Le informazioni verranno aggiunte nella scheda ***Prestazioni*** della finestra di profilazione delle prestazioni aperta durante il passaggio #6.
9. Clicchi sul pulsante ***Invia la traccia al supporto***. Anche in questo caso, si assicuri di includere informazioni sufficienti per collegare il report al ticket appropriato e inserisca il suo nome utente del forum se il processo è stato avviato dal forum.

### Inviare via e-mail un report Disk usage by Top Tables tramite SSMS

Per gli spazi di lavoro Devolutions Server, SQL e SQL Azure, è possibile generare un ***report*** ***Disk usage by Top Tables*** da ***SQL Server Management Studio (SSMS)*** per valutare il numero di record in specifiche tabelle del database. Ecco come procedere:

1. Apra ***SQL Server Management Studio (SSMS)***.
2. Clicchi con il tasto destro sul database e selezioni ***Reports*** – ***Standard Reports*** – ***Disk Usage by Top Tables***.
3. Invii il report a <service@devolutions.net>.

Ecco un esempio dell'aspetto del report.

![](https://cdnweb.devolutions.net/docs/DVLS6078_2024_2.png)

Ecco la ***query SQL*** per ottenere lo stesso risultato se il database è ospitato su Azure.

````
SELECT TOP 1000
        a3.name AS SchemaName,
        a2.name AS TableName,
        a1.rows as Row_Count,
        (a1.reserved )* 8.0 / 1024 AS reserved_mb,
        a1.data * 8.0 / 1024 AS data_mb,
        (CASE WHEN (a1.used ) > a1.data THEN (a1.used ) - a1.data ELSE 0 END) * 8.0 / 1024 AS index_size_mb,
        (CASE WHEN (a1.reserved ) > a1.used THEN (a1.reserved ) - a1.used ELSE 0 END) * 8.0 / 1024 AS unused_mb
    FROM    (   SELECT
                ps.object_id,
                SUM ( CASE WHEN (ps.index_id < 2) THEN row_count    ELSE 0 END ) AS [rows],
                SUM (ps.reserved_page_count) AS reserved,
                SUM (CASE   WHEN (ps.index_id < 2) THEN (ps.in_row_data_page_count + ps.lob_used_page_count + ps.row_overflow_used_page_count)
                            ELSE (ps.lob_used_page_count + ps.row_overflow_used_page_count) END
                    ) AS data,
                SUM (ps.used_page_count) AS used
                FROM sys.dm_db_partition_stats ps
                GROUP BY ps.object_id
            ) AS a1
    INNER JOIN sys.all_objects a2  ON ( a1.object_id = a2.object_id )
    INNER JOIN sys.schemas a3 ON (a2.schema_id = a3.schema_id)
    WHERE a2.type <> N'S' and a2.type <> N'IT'
    order by a1.reserved desc
```<div data-gb-custom-block data-tag="hint" data-style='info'>For Devolutions Server workspaces, the [Cleanup logs](https://docs.devolutions.net/server/it/web-interface/administration/database-retention-policies/) feature (***Administration*** – ***Logs*** – ***Clean up logs, i***n the Devolutions Server web interface) can help reduce the number of records in the report table by automatically archiving/deleting old logs.</div>
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/rdm/it/knowledge-base/how-to-articles/performance-diagnostic.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
